dbXML API

## org.dbxml.core.xupdate
Class XUpdateQueryResolver

    java.lang.Object
      |
      +--org.dbxml.server.SimpleConfigurable
            |
            +--org.dbxml.core.xupdate.XUpdateQueryResolver

All Implemented Interfaces:
  org.dbxml.server.Configurable, QueryResolver

public final class XUpdateQueryResolver
extends org.dbxml.server.SimpleConfigurable
implements QueryResolver

XUpdateQueryResolver

Field Summary
`static java.lang.String` `STYLE_XUPDATE`

Constructor Summary
`XUpdateQueryResolver()`

Method Summary
`Query` `compileQuery(Collection context, java.lang.String query, NamespaceMap nsMap, Key[] keys)` compileQuery compiles a Query against the specified Collection context and returns the compiled Query.
`java.lang.String` `getQueryStyle()` getQueryStyle returns the Query style supported by this Resolver.
`NodeSet` `query(Collection context, java.lang.String query, NamespaceMap nsMap, Key[] keys)` query compiles a Query against the specified Collection context and returns the query results.
`void` `setConfig(org.dbxml.server.Configuration config)`
`void` `setQueryEngine(QueryEngine engine)` setQueryEngine hands a reference for the QueryEngine to the Resolver.

Methods inherited from class org.dbxml.server.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.dbxml.server.Configurable
`getConfig`

Field Detail

### STYLE_XUPDATE

    public static final java.lang.String STYLE_XUPDATE

Constructor Detail

### XUpdateQueryResolver

    public XUpdateQueryResolver()

Method Detail

### setConfig

    public void setConfig(org.dbxml.server.Configuration config)
                   throws org.dbxml.server.dbXMLException

  Specified by:
    `setConfig` in interface `org.dbxml.server.Configurable`
  Overrides:
    `setConfig` in class `org.dbxml.server.SimpleConfigurable`

### getQueryStyle

    public java.lang.String getQueryStyle()

  Description copied from interface: `QueryResolver`
  getQueryStyle returns the Query style supported by this Resolver.
  Specified by:
    `getQueryStyle` in interface `QueryResolver`
  Following copied from interface: `org.dbxml.core.query.QueryResolver`
  Returns:
    The query style

### setQueryEngine

    public void setQueryEngine(QueryEngine engine)

  Description copied from interface: `QueryResolver`
  setQueryEngine hands a reference for the QueryEngine to the Resolver.
  Specified by:
    `setQueryEngine` in interface `QueryResolver`
  Following copied from interface: `org.dbxml.core.query.QueryResolver`
  Parameters:
    `engine` - The QueryEngine

### compileQuery

    public Query compileQuery(Collection context,
                              java.lang.String query,
                              NamespaceMap nsMap,
                              Key[] keys)
                       throws QueryException

  Description copied from interface: `QueryResolver`
  compileQuery compiles a Query against the specified Collection context and returns the compiled Query. This DOES NOT actually run the query, merely just parses it and primes any possible Indexers that the query might need.
  Specified by:
    `compileQuery` in interface `QueryResolver`
  Following copied from interface: `org.dbxml.core.query.QueryResolver`
  Parameters:
    `context` - The Collection Context
    `query` - The Query
    `nsMap` - The namespace Map (if any)
    `keys` - The initial Key set to use (if any)
  Returns:
    The compiled Query

### query

    public NodeSet query(Collection context,
                         java.lang.String query,
                         NamespaceMap nsMap,
                         Key[] keys)
                  throws QueryException

  Description copied from interface: `QueryResolver`
  query compiles a Query against the specified Collection context and returns the query results.
  Specified by:
    `query` in interface `QueryResolver`
  Following copied from interface: `org.dbxml.core.query.QueryResolver`
  Parameters:
    `context` - The Collection Context
    `query` - The Query
    `nsMap` - The namespace Map (if any)
    `keys` - The initial Key set to use (if any)
  Returns:
    The resulting NodeSet

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved